<!DOCTYPE html>
<html>
  <head>
    <title>em.def blog</title>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Helvetica:300,400,700' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../main.css">
  </head>

  <body>
    <header class="container-fluid">
      <div class="row">
        <h1 class="col-sm-4"  style="color:#202020">e<a href="../index.html">m.def</a></h1>
        <nav class="col-sm-12 text-right">
          <a href="https://gitlab.com/mitaleeparikh/mitalee.parikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20"></a>
            &ensp;
          <a href="mailto:emaitee@gmail.com"><img class="img-fit" src="../meta/icons/005-diamond.png" height="20" width="20"></a>
        </nav>
      </div>
    </header>

    <section class="row">
      <section class="col-md-3">
           <nav id="leftnav">
            <a href="../fabacademy/pppm.html">Principles, Practices and Project Management</a><br>
            <a href="../fabacademy/cad.html">Computer-aided Design</a><br>
            <a href="../fabacademy/ccc.html">Computer-controlled Cutting</a><br>
            <a href="../fabacademy/ep.html">Electronics Production</a><br>
            <a href="../fabacademy/3dps.html">3D printing and scanning</a><br>
            <a href="../fabacademy/ed.html">Electronics Design</a><br>
            <a href="../fabacademy/ccm.html">Computer-controlled Machining</a><br>
            <a href="../fabacademy/mc.html">Molding and Casting</a><br>
            <a href="../fabacademy/wc.html">Wild Card Week</a><br>
            <a href="../fabacademy/iipi.html">Invention, Intellectual Property and Income</a><br>
            <a href="../fabacademy/input.html">Inputs</a><br>
            <a href="../fabacademy/output.html">Outputs</a><br>
            <a href="../fabacademy/mdef.fp.html">MDEF Final Project</a><br>
          </nav>
      </section>

      <section class="col-md-6">

        <h1>Computer Aided design</h1>
        <p>This week I tried to explore new softwares I haven&#39;t used before. I also tried to figure out what software is good for what purpose and when to use which one.</p>
        <h2>2D design</h2>
        <h3>Raster vs Vector</h3>
        <p><strong>Raster</strong> Images are made of pixels. Pixels are the smallest <em>pi(x)</em> -cture <em>el</em> -ements that contain colour information. They follow a co-ordinate system and are generally square, sometimes rectangular in shape. They do not scale up without loss of quality. They allow control over individual pixels.<br>Some raster formats:  </p>
        <p><strong>JPEG/JPG</strong> (Joint Photographic Experts Group): JPGs can be compressed with a control on quality and file size. So they are good for web browsers. Generally the standard screen resolution for internet images is 72 ppi. JPGs support the 24-bit colour palette. I use this format for photographs.</p>
        <p><strong>GIF</strong> (Graphics Interface Format): GIF works well for illustrations and animations. It supports a maximum of 256 colours per frame (8-bit per pixel) selected out of the 24-bit RGB palette. It uses lossless compression.
        I use this format for animations with less number of colours.</p>
        <p><strong>PNG</strong> (Portable Networks Graphic): PNGs support transparency, so they are very useful for non-rectangular looking images. It uses lossless compression just like GIFs. I use this format for images with text or line-art and transparent background.</p>
        <p><strong>TIFF</strong> (Tagged Image File Format): This format is used to store large sized images that need high quality for print. It contains a lot of meta information, so is good for editing.</p>
        <p>There are other formats like RAW, NEF that are super editable and large when your camera captures an image.  </p>
        <p><strong>Adobe Photoshop</strong> needs a subscription. It is my go-to software for photo editing. I use it quite often to manipulate raster images to transform them or remove backgrounds for objects, etc.  </p>
        <p><strong>GIMP</strong> Since I haven&#39;t used it before, this week I explored GIMP. It is an open-source raster image editor. It is good as a free-form paint tool, for image retouching and format converting and compressing.</p>
        <p>Here are some experiments in GIMP.</p>
        <p>Free-form sketching to represent an initial idea by exploring brushes:<br><br>
        <img class="img-fit" src="../fabacademy/images/week2/gimp-freeform.jpg" alt=""><br><br>
        Image retouching by modifying colour levels, saturation, etc:<br><br>
        <img class="img-fit" src="../fabacademy/images/week2/gimp-retouching.jpg" alt=""><br><br>
        These screenshots have been resized and compressed in GIMP as well.</p><br>
        <p>Workflow for this documentation: Image from screenshot(PNG) or phone camera(HEIC) &gt; Edit in Photoshop/GIMP &gt; Compress/Resize with ImageMagick</p>
        <p><strong>Vector</strong> images are made of points connected by curves to form polygons or other shapes. Vector images are controlled by equations, so they are infinitely scalable, without loss of quality. I have been using Adobe Illustrator extensively to make/edit vector images. Vector Formats:</p>
        <p><strong>AI</strong> (or <strong>CDR</strong>):These are generally made in Adobe Illustrator (or Corel Draw) and completely editable. They are generally stored separately for editability and saved as other formats depending on application.</p>
        <p><strong>EPS</strong> (Encapsulated PostScript): This is a versatile format used by all editing softwares, both vector and raster.</p>
        <p>There are other formats like SVG and EMF that I don&#39;t use as much.<br><strong>PDF</strong> (Portable Document Format) is a versatile format that can be either raster or vector depending on the way it was created. PDFs support text, vector images, bitmap images, interactive links, encryption, fonts etc.
        Adobe Illustrator needs a subscription, it is my go-to software for illustrations or diagrams. I use it often to manipulate vector images.</p>
        <p><strong>Adobe Illustrator</strong>
        I like to use this for diagrams and digitising sketches or hand-written notes.<br>Workflow:
        I upload a photograph of the notes (written with thick pens works better).
        Perpendicularly shot with no shadows/ uniform light.
        Opening this and selecting it makes the image trace pop open.
        Open the image trace panel and adjust the threshold,  paths, corners, noise. Keep the preview on, so I can see the changes while I fine-tune the result.
        Explode and ungroup.
        Tweak some curves if required. Add colours, etc.</p>
        <p><strong>INKSCAPE</strong>
        I explored Inkscape to make charts and diagrams. A combination of lines, text, illustrations, etc.
        I save the file in both editable vector format, so I can evolve it in the future. And a png/jpeg for presentation or communication.</p>
        <h2>3D design</h2>
        <h3>Rhino + Grasshopper</h3>
        <p>I use Rhino frequently for 3D modelling. I like it because it is very versatile and NURBS modelling allows exploring forms fast and easily. Extracting axonometric/isometric/perspective views is easy too.</p>
        <p>I&#39;ve used grasshopper before but have never applied it to an actual progress. So I took this opportunity to explore it more.
        In the file here, I tried all different box options and some list options.
        <a href="../fabacademy/images/week2/gh.zip">Box</a></p>
        <p>Basically, I picked one category and explore all the functions within it using some grasshopper help.<br><br>
        <img class="img-fit" src="../fabacademy/images/week2/rhino.jpg" alt=""><br><br>
        <img class="img-fit" src="../fabacademy/images/week2/gh.jpg" alt=""></p><br>
        <p>Next I started doing the next assignment - lasercutting a press-fit construction kit. I used grasshopper to try out various strategies for making press-fit joints for different thicknesses of material. You can find documentation about this on the <a href="../assignments/week04.md">Computer Controlled Cutting page.</a></p>
        <h3>Fusion 360</h3>
        <p>Using Fusion had a different workflow, that I haven&#39;t gotten used to yet. But it seems to be very helpful for making more complex parametric designs with proper constraints.</p>
        <p><img class="img-fit" src="../fabacademy/images/week2/fusion1.jpg" alt=""><br><br>I explored how constraints work. I made some simple shapes and tried out all different constraint options.<br><br><img class="img-fit" src="../fabacademy/images/week2/fusion2.jpg" alt=""><br><br>
        Then, I started making next week&#39;s assignment.<br><br><img class="img-fit" src="../fabacademy/images/week2/fusion3.jpg" alt=""><br><br>
        I use Fusion again next week to create parametric modules. You can find the description <a href="../assignments/week04.md">here</a>.</p>
        <h3>Blender</h3>
        <p>Blender is an all-in-one software. To model, render, animate, sculpt. It has an overwhelming number of function. I started from the very basic, making a wavy surface like water, trying the fire effect, making some geometric shapes, etc. as seen in the images below. </p>
        <img class="img-fit" src="../fabacademy/images/week2/blender1.jpg" alt=""><br><br>
        <img class="img-fit" src="../fabacademy/images/week2/blender2.jpg" alt=""><br><br>
        <img class="img-fit" src="../fabacademy/images/week2/blender3.jpg" alt=""><br><br>
        <p>I hope to use more Blender in the future to make some cool animations or renders.
        Blender also has a cool community for development and things. I was very surprised to learn that it is completely open-source and has come a long way in development. Usually the other open-source softwares have a very raw user experience, but not this.</p>
        <ul>
        <li><a href="https://hackmd.io/ojtXMAVIQYyJJ86pPzzNpA?view">Victor&#39;s Notes - hackmd</a></li>
        <li><a href="https://www.blender.org/">Blender</a></li>
        <li><a href="https://cloud.blender.org/p/blender-fundamentals">Blender Fundamentals</a></li>
        <li><a href="https://www.blendernation.com/">Blender Nation</a></li>
        <li><a href="https://blenderartists.org/">Blender Artists</a></li>
        </ul>
        <h3>Checkout</h3>
        <p>This week, for 2D design I&#39;m not yet sure what benefits softwares like GIMP and Inkscape offer me personally. I still feel very comfortable using Adobe softwares for both vector and raster work. Maybe using them more I can explore what else they have to offer.
        For 3D, my go-to has been Rhino. But now I feel using Fusion to make models with version control is amazing and I hope to use Blender to learn animation, rendering later on.</p>
        <h3>Design files</h3>
        <p><a href="../fabacademy/images/week2/gh.zip">Grasshopper exploring boxes</a><br><a href="../fabacademy/images/week2/gimp.zip">GIMP explorations</a><br><a href="../fabacademy/images/week2/blender.zip">Blender trials</a><br><a href="../fabacademy/images/week2/fusion.zip">Different fusion trials</a>  </p>

      </section>

    </section>

    <div class="footer">
        <div class="row">
        <div class="col-md-2">
          <p>&copy; 2019-20 <a href="https://www.linkedin.com/in/mitaleeparikh">Mitalee Parikh</a></p>
        </div>
        <div class="col-md-7">
          <p>This site is a documentation of my work done in 2019-2020 as a part of the <a href="https://mdef.iaac.net">Master in Design for Emergent Futures</a> programme at the <a href="https://iaac.net/educational-programmes/masters-programmes/master-in-design-for-emergent-futures-mdef/">Institute of Advanced Architecture of Catalonia</a> and <a href="https://elisava.net/en">Elisava Barcelona School of Design and Engineering</a> in collaboration with <a href="https://fabacademy.org/">FabAcademy.</p>
        </div>
        <div class="col-md-2">
        </div>
        <div class="col-md-1">
          <a href="https://www.instagram.com/emaitee/"><img class="img-fit" src="../meta/icons/011-cd.png" height="20" width="20">&ensp;
          <a href="https://www.goodreads.com/review/list/5828563-mitalee-parikh?shelf=mdef"><img class="img-fit" src="../meta/icons/013-radar.png" height="20" width="20">&ensp;
          <a href="https://twitter.com/MitaleeParikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20">
        </div>
        </div>
    </div>

  </body>

</html>
